> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Change a current-business user role

> Changes a user's role in the current business, updating access to lead, automation, billing, and admin workflows.



## OpenAPI

````yaml /openapi.json put /businesses/me/users/{userId}
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /businesses/me/users/{userId}:
    put:
      tags:
        - Businesses
      summary: Change a current-business user role
      description: >-
        Changes a user's role in the current business, updating access to lead,
        automation, billing, and admin workflows.
      operationId: Businesses_ChangeCurrentBusinessUserRole
      parameters:
        - name: userId
          in: path
          description: The ID of the user whose current-business role is changing.
          required: true
          schema:
            type: string
      requestBody:
        description: The updated role assignment.
        content:
          application/json:
            schema:
              allOf:
                - $ref: '#/components/schemas/BusinessUserRequest'
              description: >-
                Request schema for the Leadping API business user request,
                including the fields clients can send.
          application/*+json:
            schema:
              allOf:
                - $ref: '#/components/schemas/BusinessUserRequest'
              description: >-
                Request schema for the Leadping API business user request,
                including the fields clients can send.
        required: true
      responses:
        '200':
          description: Returns the business user response.
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BusinessUserResponse'
                description: >-
                  API response containing business user data returned to
                  callers.
        '400':
          description: The request was invalid or failed validation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '403':
          description: The authenticated user is not authorized for this operation.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    BusinessUserRequest:
      type: object
      properties:
        userId:
          type: string
          description: User ID to add, update, or remove from the business.
          nullable: true
        email:
          type: string
          description: >-
            Email address for the person represented by this business user
            request.
          nullable: true
        role:
          allOf:
            - $ref: '#/components/schemas/BusinessUserRole'
          description: Business role assigned to the user.
      description: >-
        Request schema for the Leadping API business user request, including the
        fields clients can send.
    BusinessUserResponse:
      type: object
      properties:
        business:
          allOf:
            - $ref: '#/components/schemas/IdNamePair'
          description: The business value for this business user.
        user:
          allOf:
            - $ref: '#/components/schemas/IdNamePair'
          description: The user value for this business user.
        userEmail:
          type: string
          description: The user email value for this business user.
          nullable: true
        role:
          allOf:
            - $ref: '#/components/schemas/BusinessUserRole'
          description: The role value for this business user.
        createdByUserId:
          type: string
          description: The created by user ID associated with this business user.
          nullable: true
        removedAt:
          type: string
          description: The date and time for the removed at value on this business user.
          format: date-time
          nullable: true
        removedByUserId:
          type: string
          description: The removed by user ID associated with this business user.
          nullable: true
        lastUsedAt:
          type: string
          description: The date and time for the last used at value on this business user.
          format: date-time
          nullable: true
        licenseBillingStatus:
          type: string
          description: The billing status for this user's business license.
          nullable: true
        licenseQuantity:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: >-
            The quantity on the shared business user license item after this
            change.
          format: int64
          nullable: true
        licenseRenewalDate:
          type: string
          description: The renewal date used for this user's license proration.
          format: date-time
          nullable: true
        name:
          type: string
          description: The display name for the entity.
        id:
          type: string
          description: The unique identifier for the entity.
        createdAt:
          type: string
          description: The date and time when the entity was created.
          format: date-time
        modifiedAt:
          type: string
          description: The date and time when the entity was last modified, if applicable.
          format: date-time
          nullable: true
      description: API response containing business user data returned to callers.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true
    BusinessUserRole:
      enum:
        - Owner
        - Admin
        - Agent
      type: string
      description: Defines the supported Business User Role values.
    IdNamePair:
      required:
        - id
        - name
      type: object
      properties:
        id:
          type: string
          description: The unique identifier.
        name:
          type: string
          description: The display name.
      description: >-
        A minimal Record type with an (string), (string), and maximum JSON
        compatibility. The reason for this type (over something like
        KeyValuePair, dictionary) is because of JSON serialization support.

````